function Inicializar_quad()

%AONDE ESTA A CLASSE QUAD? RESP: Nao  uma classe e sim uma variavel global

global quad %definindo variavel global(compartilha com todas as funcoes)

%Em vez de marcar os pontos,  mais facil inseri-los aqui (x,y,z,Yaw,tempo)
%a sintaxe  apenas vetores colunas transposto = vetores linhas
quad.dt = 0.02; %tempo de cada iteracao 

%Trajetria artigo IFAC

% quad.caminho.X = [0 1 1 2 3 0];
% quad.caminho.Y = [0 1 2 3 2 0];
% quad.caminho.Z = [0 10 10 10 5 0];
% quad.caminho.YAW = [0 pi/2 0 -pi/2 0 0];
% quad.caminho.T = [0 4 8 12 16 20];
% 

%Trajetria artigo LARS 1

% quad.caminho.X = [0.00,0.00,0.20,0.40,0.60,0.80,1.00,1.20,1.40,1.60,1.80,1.80]';
% quad.caminho.Y= [0.00,0.00,0.00,0.40,0.00,-0.40,0.00,0.40,0.00,-0.40,0.00,0.00]'; 
% quad.caminho.Z = [0.00,1.00,1.60,1.00,0.40,1.00,1.60,1.00,0.40,1.00,1.60,1.60]';
% quad.caminho.YAW = [0.00,0.00,0.00,pi/2,pi,3*pi/2,2*pi,5*pi/2,3*pi,7*pi/2,4*pi,4*pi]'; 
% dtaux = 0.6;
% quad.caminho.T = 0:dtaux:dtaux*12;
% quad.caminho.T(2:end-1)=quad.caminho.T(3:end);
% quad.caminho.T=quad.caminho.T(1:end-1);
% quad.caminho.T(end) = quad.caminho.T(end) - mod(quad.caminho.T(end),0.02);


% %Trajetoria artigo LARS 2:  mais desafiadora, explora os limites fisicos
% %do modelo
% quad.caminho.X = [-0.40,0.00,0.20,0.40,0.60,0.80,1.00,1.20,1.40,1.60,1.80,1.80]';
% quad.caminho.Y= [0.00,0.00,0.00,0.40,0.00,-0.40,0.00,0.40,0.00,-0.40,0.00,0.00]'; 
% quad.caminho.Z = [2.00,2.00,2.60,2.00,1.40,2.00,2.60,2.00,1.40,2.00,2.60,2.60]';
% quad.caminho.YAW = [0.00,0.00,0.00,pi/2,pi,3*pi/2,2*pi,5*pi/2,3*pi,7*pi/2,4*pi,4*pi]'; 
% quad.orientacao = [deg2rad(88) 0 0]';
% 
% dtaux = 0.6;
% quad.caminho.T = 0:dtaux:dtaux*12;
% quad.caminho.T(2:end-1)=quad.caminho.T(3:end);
% quad.caminho.T=quad.caminho.T(1:end-1);
% quad.caminho.T(end) = quad.caminho.T(end) - mod(quad.caminho.T(end),0.02);


%%%trajetoria em forma de oito deitado 
quad.caminho.X=[0 0.1172 0.4 0.6828 0.9656 1.2486 1.5314 1.8142 1.9314 1.8142 1.5314 1.2486 0.9656 0.6828 0.4 0.1172 0 0.1172 0.4 0.6828 0.9656 1.2486 1.5314 1.8142 1.9314 1.8142 1.5314 1.2486 0.9656 0.6828 0.4 0.1172 0 0];
quad.caminho.Y=[0 -0.2828 -0.4 -0.2828 0 0.2828 0.4 0.2828 0 -0.2828 -0.4 -0.2828 0 0.2828 0.4 0.2828 0 -0.2828 -0.4 -0.2828 0 0.2828 0.4 0.2828 0 -0.2828 -0.4 -0.2828 0 0.2828 0.4 0.2828 0 0];
quad.caminho.Z=[2 1.5758 1.4 1.5758 2 2.4242 2.6 2.4242 2 1.5758 1.4 1.5758 2 2.4242 2.6 2.4242 2 1.5758 1.4 1.5758 2 2.4242 2.6 2.4242 2 1.5758 1.4 1.5758 2 2.4242 2.6 2.4242 2 2];
quad.caminho.YAW=[-pi/2 -pi/4 0 pi/4 pi/4 pi/4 0 -pi/4 -pi/2 -3*pi/4 -pi -5*pi/4 -5*pi/4 -5*pi/4 -pi -3*pi/4 -pi/2 -pi/4 0 pi/4 pi/4 pi/4 0 -pi/4 -pi/2 -3*pi/4 -pi -5*pi/4 -5*pi/4 -5*pi/4 -pi -3*pi/4 -pi/2 -pi/2];
dtaux = 0.4;
quad.caminho.T = 0:dtaux:dtaux*(length(quad.caminho.X)-1);
quad.caminho.T(end) = quad.caminho.T(end) - mod(quad.caminho.T(end),0.02);

quad.orientacao = [deg2rad(178) 0 -pi/2]';

if ~isfield(quad,'BotaoCalcTraj')
    Desenhar_trajetoria();
end

quad.posicao = [quad.caminho.X(1);quad.caminho.Y(1);quad.caminho.Z(1)];      %x, y, z (r) inicial
quad.pos_aux = [0;0;0];
%quad.orientacao = [0;0;quad.caminho.YAW(1)]; %roll, pitch, yaw (n)
quad.velocidade_linear = [0;0;0]; %vx, vy, vz (rdot)
quad.velocidade_angular_frame_inercial = [0;0;0]; %wx, wy, wz (ndot)
% diff(roll,pitch,yaw) com correcao matriz T
quad.velocidade_angular_frame_quad= [0;0;0]; %p, q, r (w)
quad.aceleracao_linear = [0;0;0]; %ax, ay, az (r2dot)
quad.aceleracao_angular = [0;0;0]; %wxdot, wydot, wzdot (n2dot)
quad.aceleracao_angular_frame_quad = [0;0;0]; %wdot = diff(p;q;r)
%atribuicao dos valores
roll = quad.orientacao(1);
pitch = quad.orientacao(2);
yaw = quad.orientacao(3);


%matriz de rotaao do frame_quad para frame inercial(eixos)
quad.R = [cos(yaw)*cos(pitch)-sin(roll)*sin(yaw)*sin(pitch), -cos(roll)*sin(yaw), cos(yaw)*sin(pitch)+cos(pitch)*sin(roll)*sin(yaw);
    cos(pitch)*sin(yaw)+cos(yaw)*sin(roll)*sin(pitch), cos(roll)*cos(yaw), sin(yaw)*sin(pitch)-cos(pitch)*sin(roll)*cos(yaw);
    -cos(roll)*sin(pitch), sin(roll), cos(roll)*cos(pitch)];

%[p;q;r] = T*(euler rates)= wx,wy,wz (CORRETA)
quad.T = [cos(pitch), 0, -cos(roll)*sin(pitch);
        0, 1, sin(roll);
        sin(pitch), 0, cos(roll)*cos(pitch)];    
quad.T10 = zeros(3,3);
    
 %dimensao escalar de quao loge esta de colapsar
 %Controle N LINEAR<1
 %controle GNTC <2
quad.CSI = []; 


quad.m = 0.468;
quad.g = 9.81;
quad.dt = 0.02; %tempo de cada iteracao 
%momento de inercia
quad.Ixx = 4.856*10^-3;
quad.Iyy = quad.Ixx;
quad.Izz = 8.801*10^-3;
quad.I = [quad.Ixx 0 0;0 quad.Iyy 0; 0 0 quad.Izz];%matriz inercial
%tamanho do brao
quad.l = 0.225;
%constante de proporcionalidade p/ a ligaao entre o PIC e ESC(inversor de frequencia)
quad.b = 1.14*10^-7; %relaciona o comando com o momento
quad.k = 2.98*10^-6; %relaciona o comando com a forca
quad.Ax = 0.25; %coeficiente de arrasto do ar proporcional  velocidade
quad.Ay = 0.25; %coeficiente de arrasto do ar proporcional  velocidade
quad.Az = 0.25; %coeficiente de arrasto do ar proporcional  velocidade
quad.rotacaoMax = 8500; %em rpm
quad.forca_Max = quad.k*(quad.rotacaoMax*2*pi/60)^2; % forca maxima com rad/s
quad.rotacaoMin = 1300; %em rpm
quad.forca_Min = quad.k*(quad.rotacaoMin*2*pi/60)^2; % forca maxima com rad/s
quad.u1novo_anterior = 0;
quad.u2novo_anterior =[0;0;0];
quad.armazena_Medidos =[];
%12 estados: x;y;z; roll;pitch;yaw;  vx;vy;vz;  p;q;r (r n rdot w)
quad.estados = [quad.posicao;quad.orientacao;quad.velocidade_linear;quad.velocidade_angular_frame_quad];
quad.estados_medidos = quad.estados;

quad.motor = [0;0;0;0]; %inicialmente rotacoes da helice nula
quad.motornovo_anterior=[0;0;0;0];

%Ganhos proporcional e derivativo de posicao e orientacao(2 malhas controle
quad.K = [6.1405    9.1331    6.1405    9.1331    6.1405    9.1331    1.5782    1.5782    1.5782    0.8000    0.8000    0.8000];

quad.Krollp = quad.K(1); %Kr(lin) = 6.14 (eq45 do artigo)
quad.Krolld = quad.K(2);  %Kw(lin) = 9.13 (Eq 45 do artigo)
quad.Kpitchp = quad.K(3);%Kr(lin) = 6.14 (eq45 do artigo)
quad.Kpitchd = quad.K(4); %Kw(lin) = 9.13 (Eq 45 do artigo)
quad.Kyawp = quad.K(5);   %Kr(lin) = 6.14 (eq45 do artigo)
quad.Kyawd = quad.K(6);  %Kw(lin) = 9.13 (Eq 45 do artigo)
quad.Kcp = quad.K(7:9)';   %Kcp(lin e naolin) = 1.58 (Eq 45 do artigo)
quad.Kcd = quad.K(10:12)'; %correto Kcd(lin e nlin) =0.8  (Eq 45 do artigo)

%Ganhos(n linear) Kr(para angulos) e Kw(para p q r) EQ 46 artigo
quad.Kr = 9656.655720288503; %proporcional controle de orientacao 
quad.Kw = 1832.403541405957; %derivativo controle de orientacao


% Para plots
%Quem  b1,b2,b3,b4? os bracos do quadrator em relacao ao frame B
quad.b1 = [-quad.l;0;0];
quad.b2 = [0;-quad.l;0];
quad.b3 = [quad.l;0;0];
quad.b4 = [0;quad.l;0];
quad.b5 = [0;0;quad.l/4];

%apenas atribuicao 
quad.x_plot = [quad.posicao(1)];
quad.y_plot = [quad.posicao(2)];
quad.z_plot = [quad.posicao(3)];
quad.roll_plot = quad.orientacao(1);
quad.pitch_plot = quad.orientacao(2);
quad.yaw_plot = quad.orientacao(3);

%des = desejado? Sim, inicialmente nao se tem trajetoria desejada
%sera preenchido posteriormente por CalcularTrajetoria
quad.x_des_plot = [];
quad.y_des_plot = [];
quad.z_des_plot = [];
quad.roll_des_plot = [];
quad.pitch_des_plot = [];
quad.yaw_des_plot = [];

quad.R_plot= [];
%
%antes de apertar o botao calcular trajetoria
%momento de marcar os Way points
quad.PodeComecar = 0;


% PARA CONTROLADOR

quad.iteracao=1;

%Calculado em CalcularTrajetoria (otima= minimo snap) 
quad.rdes = [];%posicao
quad.rdv = []; %velocidade desejado
quad.rda = []; %aceleracao desejado
quad.rdj = []; %jerk desejado
quad.rds = []; %snap desejado

quad.pqrc = [0;0;0];  % p q r (controlado)=(desejado)

%vetor linha de zeros. 
%Posteriormente, atribui variaveis desejaveis de CalcularTrajetoria
quad.rc = zeros(6,1);   % x y z roll pitch yaw (controlados)
quad.rc_anterior = zeros(6,1);
quad.pqrc_anterior = zeros(3,1); %p q r (controlados)

quad.T_medido = [cos(pitch), 0, -cos(roll)*sin(pitch);
    0, 1, sin(roll);
    sin(pitch), 0, cos(roll)*cos(pitch)];     %[p;q;r] = T*(euler rates)



% PARA TRAJETORIA
%isfield retorna true se existe 'Apagarwayponts' na classe quad.
%O ApagarWaypoints  criado na funcao LimparSimulacao
%VAI DAR ERRO, SO FUNCIONA SE OS WAYPOINTS FOREM POSTOS PELA INTERFACE
%GRAFICA
% if(isfield(quad,'ApagarWaypoints'))
%     %Ao optar ApgarWaypoint na caixa de dialogo
%     if(quad.ApagarWaypoints)
%         quad.caminho.X = quad.posicao(1);
%         quad.caminho.Y = quad.posicao(2);
%         quad.caminho.Z = quad.posicao(3);
%         quad.caminho.YAW = quad.orientacao(3);
%         quad.caminho.T = 0;
%     end
%     %Ao pressionar o Apagarwaypoints(qnd chama LimparSimulaao =>PodeComecar = 3
%     %DPS Podecomecar=0 e entra em inicializarQuadnovamente
%     %Zerando os caminhos aqui
 %end



% 
% 
% %atan2(sinx,cosx) vai retornar o angulo x
% %Para quad.orientacao(1) temos angulo roll base
% quad.orientacao(1) = atan2(quad.R(3,2),quad.R(2,2)/cos(quad.orientacao(3)));
% quad.orientacao(2) = atan2(quad.R(1,3)*cos(quad.orientacao(3))+sin(quad.orientacao(3))*quad.R(2,3), quad.R(3,3)/cos(quad.orientacao(1)));
    
%declarar rdes como 0
%[]serve para anular os termos da variavel
quad.rdes = [];
quad.rdv  = [];
quad.rda = [];
quad.rdj = [];
quad.rds = [];

%configura os limites do grafico 3D da janela principal

% zmin = min(quad.caminho.Z);
% if zmin-0.5<0 zmin=0; end;
zmin = 0;
aux1 = max(quad.caminho.X) - min(quad.caminho.X);% -0.4 2
aux2 = (max(quad.caminho.Y) - min(quad.caminho.Y)); % 0.4 -0.4
aux3 = (max(quad.caminho.Z) - zmin);
aux = max([aux1 aux2 aux3]);
aux4 = mean([min(quad.caminho.Y)  max(quad.caminho.Y)]);
aux5 = (max(quad.caminho.X)-min(quad.caminho.X))/2;
aux6 = mean([min(quad.caminho.X)  max(quad.caminho.X)]);
aux7 = (max(quad.caminho.Y)-min(quad.caminho.Y))/2;
aux8 = mean([zmin  max(quad.caminho.Z)]);
aux9 = (max(quad.caminho.Z)-zmin)/2;

if aux1 == aux
    quad.xaxis.min = min(quad.caminho.X) - 0.5;
    quad.xaxis.max = max(quad.caminho.X) + 0.5;
    quad.yaxis.min = (1.5*aux4 - aux5 - 0.5)/8.7*7;
    quad.yaxis.max = (1.5*aux4 + aux5 + 0.5)/8.7*7;
    quad.zaxis.min = (1.5*aux8 - aux5 - 0.5)/8.7*6.1;
    quad.zaxis.max = (1.5*aux8 + aux5 + 0.5)/8.7*6.1;
else
    if aux2 == aux
        quad.yaxis.min = min(quad.caminho.Y) - 0.5;
        quad.yaxis.max = max(quad.caminho.Y) + 0.5;
        quad.xaxis.min = (aux6/2 - aux7 -0.5)/7*8.7;
        quad.xaxis.max = (aux6/2 + aux7 +0.5)/7*8.7;
        quad.zaxis.min = (aux8/2 - aux7 -0.5)/7*6.1;
        quad.zaxis.max = (aux8/2 + aux7 +0.5)/7*6.1;
    else
        quad.zaxis.min = zmin - 0.5;
        quad.zaxis.max = max(quad.caminho.Z) + 0.5;
        quad.xaxis.min = (1.5*aux6 - aux8 - 0.5)/6.1*8.7;
        quad.xaxis.max = (1.5*aux6 + aux8 + 0.5)/6.1*8.7;
        quad.yaxis.min = (1.5*aux4 - aux8 - 0.5)/6.1*7;
        quad.yaxis.max = (1.5*aux4 + aux8 + 0.5)/6.1*7;
    end        
end
quad.zaxis.min = 0;
end