function MarcarWaypoint(varargin)
%Varargin serve para receber um numero qualquer de inputs(parametros)

%SUAVE(100%):

    global quad;
    %get(campo 'string', da variavel handler)
    %transforma uma string para um valor double
    x=str2double(get(quad.handler.X,'String'));
    y=str2double(get(quad.handler.Y,'String'));
    z=str2double(get(quad.handler.Z,'String'));
    yaw=str2double(get(quad.handler.YAW,'String'));
    t=str2double(get(quad.handler.T,'String'));
    
    
    %Caso a variavel seja um caracter ou nao preenchida(logical==1)
    %o programa sinaliza em um erro de dialogo(caixa de dialogo)
    %E sai da funcao MarcarWaypoint = return
    if(isnan(x)||isnan(y)||isnan(z)||isnan(yaw)||isnan(t))
        errordlg('ERRO - PONTOS DIGITADOS NO NUMRICOS');
        return
    end
    
    
    %if para conferir se o ultimo tempo < proximo tempo
    %caso OK: atribui os valores(DOUBLE) para a ULTIMA posicao de CAMINHO
    %observe q isso so  possivel, pois QUAD  variavel global
    %Caso NO: movimento instantaneo nao existe,sinaliza erro e sai da func
    if(t > quad.caminho.T(end))
        quad.caminho.X = [quad.caminho.X x];
        quad.caminho.Y = [quad.caminho.Y y];
        quad.caminho.Z = [quad.caminho.Z z];
        quad.caminho.YAW = [quad.caminho.YAW yaw];
        quad.caminho.T = [quad.caminho.T t];
    else
        errordlg('ERRO - TEMPO DIGITADO MENOR OU IGUAL AO TEMPO ANTERIOR');
        return 
    end

end